Package com.mockobjects

# Class ReturnValues

java.lang.Object
com.mockobjects.ReturnValues

Direct Known Subclasses:
  `VoidReturnValues`

public class ReturnValues extends Object
Sequence values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

## Constructor Summary

Constructors
Constructor
Description
`ReturnValues()`
`ReturnValues(boolean keepUsingLastReturnValue)`
`ReturnValues(String name, boolean keepUsingLastReturnValue)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Object element)`
`void`
`addAll(Collection returnValues)`
`Object`
`getNext()`
`boolean`
`isEmpty()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReturnValues

public ReturnValues()

### ReturnValues

public ReturnValues(String name, boolean keepUsingLastReturnValue)

### ReturnValues

public ReturnValues(boolean keepUsingLastReturnValue)

## Method Details

### add

public void add(Object element)

### addAll

public void addAll(Collection returnValues)

### getNext

public Object getNext()

### isEmpty

public boolean isEmpty()